### Method

# GLib DateTime difference

since: 2.26

#### Declaration [src]

    GTimeSpan
    g_date_time_difference (
      GDateTime* end,
      GDateTime* begin
    )

#### Description [src]

Calculates the difference in time between `end` and `begin`. The `GTimeSpan` that is returned is effectively `end` - `begin` (ie: positive if the first parameter is larger).

Available since: 2.26

#### Parameters

`begin`

  Type: `GDateTime`

  A `GDateTime`.

  The data is owned by the caller of the method.

#### Return value

Type: `GTimeSpan`

The difference between the two `GDateTime`, as a time span expressed in microseconds.